package sample.aop;

import org.jboss.aop.*;

/** Xbh̔rsC^Zv^ **/
public class LockInterceptor implements Interceptor {

  public String getName() {
    return "LockInterceptor";
  }

  public InvocationResponse invoke(Invocation invocation) throws Throwable {
    // \bh̃C^[Zvg
    if (invocation.getType() == InvocationType.METHOD) {
      Object target = invocation.targetObject; // ^[Qbg̓JE^

      if (target != null) {
        synchronized (target) {
          InvocationResponse rsp = invocation.invokeNext();  // ̃C^Zv^Ăяo
          return rsp;
        }
      }
    }
    // \bhȊÕC^[Zvg
    return invocation.invokeNext();
  }
}
