package sample.pojo;

import java.util.HashMap;

public class CounterFactory {
  private static HashMap map = new HashMap();

  public static synchronized Counter getInstance(String name) {
    Counter counter = (Counter) map.get(name);
    if (counter == null) {
      counter = new CounterImpl(name, 0);
      System.out.println("JE^̐: " + counter);
      map.put(name, counter);
    }
    return counter;
  }

  public CounterFactory() {
  }
}