package sample.web;

import sample.pojo.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;

/** JE^̒lXVT[ubg */
public class CounterServlet extends HttpServlet {
  public static final String ATTRIBUTE_NAME = "counter";
  public static final String COUNTER_NAME = "aop";

  public void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    try {
      Counter counter = CounterFactory.getInstance(COUNTER_NAME);
      long value = counter.getNextValue();
      request.setAttribute(ATTRIBUTE_NAME, new Long(value));

      RequestDispatcher dispatcher =
          getServletContext().getRequestDispatcher("/ShowCounter.jsp");
      dispatcher.forward(request, response);
    } catch (Exception e) {
      throw new ServletException(e);
    }
  }

  public void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    doGet(request, response);
  }
}
